org.apache.catalina.startup

## Interface UserDatabase

All Known Implementing Classes:
  HomesUserDatabase, PasswdUserDatabase

    public interface UserDatabase

Abstraction of the set of users defined by the operating system on the current server platform.

Author:
  Craig R. McClanahan

### Method Summary

Methods
`String` `getHome(String user)` Return an absolute pathname to the home directory for the specified user.
`UserConfig` `getUserConfig()` Return the UserConfig listener with which we are associated.
`Enumeration<String>` `getUsers()` Return an enumeration of the usernames defined on this server.
`void` `setUserConfig(UserConfig userConfig)` Set the UserConfig listener with which we are associated.

### Method Detail

#### getUserConfig

    UserConfig getUserConfig()

Return the UserConfig listener with which we are associated.

#### setUserConfig

    void setUserConfig(UserConfig userConfig)

Set the UserConfig listener with which we are associated.

Parameters:
  `userConfig` - The new UserConfig listener

#### getHome

    String getHome(String user)

Return an absolute pathname to the home directory for the specified user.

Parameters:
  `user` - User for which a home directory should be retrieved

#### getUsers

    Enumeration<String> getUsers()

Return an enumeration of the usernames defined on this server.